Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Shared_Memory_Pool_Options Class Reference

Helper class for Shared Memory Pool constructor options. More...

`#include <Memory_Pool.h>`

List of all members.

## Public Methods
| ACE_Shared_Memory_Pool_Options (const char *base_addr = ACE_DEFAULT_BASE_ADDR, size_t max_segments = ACE_DEFAULT_MAX_SEGMENTS, size_t file_perms = ACE_DEFAULT_FILE_PERMS, off_t minimum_bytes = 0, size_t segment_size = ACE_DEFAULT_SEGMENT_SIZE)
## Public Attributes
const char* | base_addr_
| Base address of the memory-mapped backing store.
size_t | max_segments_
| Number of shared memory segments to allocate.
off_t | minimum_bytes_
| What the minimum bytes of the initial segment should be.
size_t | file_perms_
| File permissions to use when creating/opening a segment.
size_t | segment_size_
| Shared memory segment size.

## Detailed Description

Helper class for Shared Memory Pool constructor options.

This should be a nested class, but that breaks too many compilers.

## Constructor & Destructor Documentation

ACE_Shared_Memory_Pool_Options::ACE_Shared_Memory_Pool_Options ( | const char * base_addr = ACE_DEFAULT_BASE_ADDR,
| size_t max_segments = ACE_DEFAULT_MAX_SEGMENTS,
| size_t file_perms = ACE_DEFAULT_FILE_PERMS,
| off_t minimum_bytes = 0,
| size_t segment_size = ACE_DEFAULT_SEGMENT_SIZE )

## Member Data Documentation

const char * ACE_Shared_Memory_Pool_Options::base_addr_

| Base address of the memory-mapped backing store.

size_t ACE_Shared_Memory_Pool_Options::file_perms_

| File permissions to use when creating/opening a segment.

size_t ACE_Shared_Memory_Pool_Options::max_segments_

| Number of shared memory segments to allocate.

off_t ACE_Shared_Memory_Pool_Options::minimum_bytes_

| What the minimum bytes of the initial segment should be.

size_t ACE_Shared_Memory_Pool_Options::segment_size_

| Shared memory segment size.

The documentation for this class was generated from the following file:

- Memory_Pool.h